This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 467998 - always filter GLIBC_PRIVATE on sh4 architecture
always filter GLIBC_PRIVATE on sh4 architecture
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
10
sh4 Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 05:33 EDT by CHIKAMA Masaki
Modified: 2009-12-18 01:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:37:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rpm-4.4.2.2-alwaysfilter_glibcprivate.patch (724 bytes, patch)
2008-10-22 05:33 EDT, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description CHIKAMA Masaki 2008-10-22 05:33:22 EDT
Created attachment 321129 [details]
rpm-4.4.2.2-alwaysfilter_glibcprivate.patch

Description of problem:
 When building rpm package on sh4 architecture,
rpm sometimes gets ld-linux.so.2(GLIBC_PRIVATE) dependency.

> objdump -T usr/lib/libaudiofile.so.0|grep PRIVATE
> 00000000      DO *UND*  00000000  GLIBC_PRIVATE __fpscr_values

This is because __fpscr_values symbol is defined not 
usual place but in ld.so. [1]

Here are proposed patch for rpmbuild and find-requires command,
but they affect all architecture. Is there any good alternatives?

Yes, we can use ~/.rpmmacro. But automatic buildtool like mock and koji
need system wide settings. 

(The patch can also apply to rpm-4.6.0 cleanly)
--- rpm-4.4.2.2/autodeps/linux.req.org  2008-06-24 22:06:45.000000000 +0900
+++ rpm-4.4.2.2/autodeps/linux.req      2008-06-24 22:07:02.000000000 +0900
@@ -114,7 +114,7 @@
            print LIBNAME "(" $4 ")'$lib64'";
        }
     '
-done | sort -u
+done | sort -u | grep -v GLIBC_PRIVATE
  
 #
 # --- Perl modules.
--- rpm-4.4.2.2/platform.in.org 2008-06-24 22:17:49.000000000 +0900
+++ rpm-4.4.2.2/platform.in     2008-06-24 22:19:14.000000000 +0900
@@ -36,6 +36,8 @@
        && RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"; \\\
        [ "$RPM_BUILD_NCPUS" -gt 1 ] && echo "-j$RPM_BUILD_NCPUS")
  
+%_filter_GLIBC_PRIVATE                  1
+
 @MULTILIBSTART@
 #---------------------------------------------------------------------
 #      Multilibs


[1] Bug #446044 and http://sourceware.org/ml/libc-hacker/2005-01/msg00016.html

Version-Release number of selected component (if applicable):
 rpm-4.6.0-0.rc1.2
Comment 1 Bug Zapper 2008-11-25 23:06:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 03:37:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 01:37:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.